cURL
curl --request GET \
--url https://api.skip.build/v2/info/chainsimport requests
url = "https://api.skip.build/v2/info/chains"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.skip.build/v2/info/chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skip.build/v2/info/chains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skip.build/v2/info/chains"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skip.build/v2/info/chains")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skip.build/v2/info/chains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"chains": [
{
"chain_name": "cosmoshub",
"chain_id": "cosmoshub-4",
"pfm_enabled": true,
"cosmos_module_support": {
"authz": true,
"feegrant": true
},
"supports_memo": true,
"logo_uri": "https://raw.githubusercontent.com/cosmos/chain-registry/master/cosmoshub/images/atom.png",
"bech32_prefix": "cosmos",
"fee_assets": [
{
"denom": "uatom",
"gas_price": {
"low": "0.01",
"average": "0.025",
"high": "0.03"
}
}
],
"chain_type": "cosmos",
"ibc_capabilities": {
"cosmos_pfm": true,
"cosmos_ibc_hooks": true,
"cosmos_memo": true,
"cosmos_autopilot": true
},
"is_testnet": false,
"pretty_name": "Cosmos Hub"
},
{
"chain_name": "osmosis",
"chain_id": "osmosis-1",
"pfm_enabled": true,
"cosmos_module_support": {
"authz": true,
"feegrant": true
},
"supports_memo": true,
"bech32_prefix": "osmo",
"logo_uri": "https://raw.githubusercontent.com/cosmos/chain-registry/master/osmosis/images/osmosis-chain-logo.png",
"fee_assets": [
{
"denom": "uosmo",
"gas_price": {
"low": "0.0025",
"average": "0.025",
"high": "0.04"
}
}
],
"chain_type": "cosmos",
"ibc_capabilities": {
"cosmos_pfm": true,
"cosmos_ibc_hooks": true,
"cosmos_memo": true,
"cosmos_autopilot": true
},
"is_testnet": false,
"pretty_name": "Osmosis"
}
]
}Info
Get /v2/info/chains
Get all supported chains along with additional data useful for building applications + frontends that interface with them (e.g. logo URI, IBC capabilities, fee assets, bech32 prefix, etc…)
GET
/
v2
/
info
/
chains
cURL
curl --request GET \
--url https://api.skip.build/v2/info/chainsimport requests
url = "https://api.skip.build/v2/info/chains"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.skip.build/v2/info/chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skip.build/v2/info/chains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skip.build/v2/info/chains"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skip.build/v2/info/chains")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skip.build/v2/info/chains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"chains": [
{
"chain_name": "cosmoshub",
"chain_id": "cosmoshub-4",
"pfm_enabled": true,
"cosmos_module_support": {
"authz": true,
"feegrant": true
},
"supports_memo": true,
"logo_uri": "https://raw.githubusercontent.com/cosmos/chain-registry/master/cosmoshub/images/atom.png",
"bech32_prefix": "cosmos",
"fee_assets": [
{
"denom": "uatom",
"gas_price": {
"low": "0.01",
"average": "0.025",
"high": "0.03"
}
}
],
"chain_type": "cosmos",
"ibc_capabilities": {
"cosmos_pfm": true,
"cosmos_ibc_hooks": true,
"cosmos_memo": true,
"cosmos_autopilot": true
},
"is_testnet": false,
"pretty_name": "Cosmos Hub"
},
{
"chain_name": "osmosis",
"chain_id": "osmosis-1",
"pfm_enabled": true,
"cosmos_module_support": {
"authz": true,
"feegrant": true
},
"supports_memo": true,
"bech32_prefix": "osmo",
"logo_uri": "https://raw.githubusercontent.com/cosmos/chain-registry/master/osmosis/images/osmosis-chain-logo.png",
"fee_assets": [
{
"denom": "uosmo",
"gas_price": {
"low": "0.0025",
"average": "0.025",
"high": "0.04"
}
}
],
"chain_type": "cosmos",
"ibc_capabilities": {
"cosmos_pfm": true,
"cosmos_ibc_hooks": true,
"cosmos_memo": true,
"cosmos_autopilot": true
},
"is_testnet": false,
"pretty_name": "Osmosis"
}
]
}Query Parameters
Was this page helpful?